Bug Hunting Session
Bug 61369 - EDITING Paste Special does not work in outline mode - pasting with formatting can be annoying here
Summary: EDITING Paste Special does not work in outline mode - pasting with formatting...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Outline-View Paste-Special
  Show dependency treegraph
 
Reported: 2013-02-23 20:57 UTC by freddi34
Modified: 2018-09-01 18:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description freddi34 2013-02-23 20:57:17 UTC
In Outline mode, "Paste" inserts formatted text. In order to get unformatted text, you would press Ctrl+Shift+V or select from the menu "Edit" → "Paste Special". Both don't have an effect and no "Paste Special" dialog is shown. 

The menu entry of "Paste Special" is not grayed out, so an action would be expected. 

Work-around: Switch to Normal mode and Ctrl+Shift+V.
Comment 1 A (Andy) 2013-03-23 22:16:43 UTC
reproducible with LO 4.0.1.2 (Win7 Home, 64bit)
Comment 2 Cor Nouws 2014-02-20 09:22:51 UTC
It's already broken in OOo 3.3.0
Lately in LibreOffice the menu Edit > Paste special has been disabled.

However, it's a very convenient view to work in with texts, but pasting when formatting can't be omited, sometimes is a PITA there..

So I set this to normal and to proposed easy hack.
Comment 3 Joel Madero 2014-02-27 23:03:40 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 4 Robinson Tryon (qubit) 2015-12-13 11:20:44 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-01-03 19:49:05 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103